Package twisted :: Package protocols :: Module sip :: Class IAuthorizer

[frames | no frames]

## Class IAuthorizer

    Interface --+
                |
               IAuthorizer

Method Summary
| ``decode`(self, response)` Create a credentials object from the given response.
`str` | ``getChallenge`(self, peer)` Generate a challenge the client may respond to.

Method Details

### decode(self, response)

Create a credentials object from the given response.

  Parameters:
    `response`
    (type=`str`)

### getChallenge(self, peer)

Generate a challenge the client may respond to.

  Parameters:
    `peer` - The client's address
    (type=`tuple`)
  Returns:
    The challenge string
    (type=`str`)

Generated by Epydoc 2.0 on Sat May 15 20:08:17 2004 | http://epydoc.sf.net